> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aegisintent.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wealth Intents

> Retrieve all active limit orders and DCA schedules for the authenticated agent, including their current status (PENDING, EXECUTED, CANCELLED).

Retrieve all active limit orders and DCA schedules for the authenticated agent, including their current status (`PENDING`, `EXECUTED`, `CANCELLED`).


## OpenAPI

````yaml GET /v1/actions/wealth/intents
openapi: 3.1.0
info:
  title: Aegis Secure API
  description: >-
    Zero-trust API for Developer-Controlled Wallets (DCW) and programmatic
    Policy Engine controls.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.aegisintent.xyz
    description: Production API Server
security: []
paths:
  /v1/actions/wealth/intents:
    get:
      tags:
        - Actions API
        - Wealth Engine
      summary: Get Wealth Intents
      description: >-
        Retrieve all active limit orders and DCA schedules for the authenticated
        agent, including their current status (PENDING, EXECUTED, CANCELLED).
      parameters:
        - name: X-Aegis-Email
          in: header
          required: true
          schema:
            type: string
          description: Agent email address
      responses:
        '200':
          description: Wealth intents ledger retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  intents:
                    type: array
                    items:
                      type: object
      security:
        - BearerAuth: []
        - AegisEmail: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Provide raw API session token issued by `/v1/connect/complete`
    AegisEmail:
      type: apiKey
      in: header
      name: X-Aegis-Email
      description: Dual-header token holder identity confirmation

````